Bug 181691 - [NEW PORT] Please import Tryton Application Platform 2.8
Summary: [NEW PORT] Please import Tryton Application Platform 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-30 21:10 UTC by Matthias Petermann
Modified: 2013-11-20 17:40 UTC (History)
0 users

See Also:


Attachments
file.txt (57.64 KB, text/plain)
2013-08-30 21:10 UTC, Matthias Petermann
no flags Details
tryton24-stage.diff.txt (24.15 KB, text/plain; charset=UTF-8)
2013-11-18 08:46 UTC, Boris Samorodov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2013-08-30 21:10:00 UTC
"Tryton is a three-tiers high-level general purpose application platform under the license GPL-3 written in Python and using PostgreSQL as database engine.

It is the core base of a complete business solution providing modularity, scalability and security." [1]

Currently only Tryton 2.4 is available in FreeBSD ports ([finance|french|german|www]/tryton*).

The attached gzipped uuencoded shar Archive contains 68 ports bringing Tryton 2.8. The new version contains a big number of improvements[2]. The maintenance plan for FreeBSD ports is to maintain and support Tryton 2.4 and Tryton 2.8 in parallel until 2.4 becomes deprecated by upstream. At this point in time, a newer version should replace 2.4.

[1] http://www.tryton.org/
[2] http://www.tryton.org/posts/new-tryton-release-28.html

Fix: Please import the attached ports.

$ uudecode -o /dev/stdout < tryton28-ports.txt | gunzip > tryton28-ports.shar


Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Boris Samorodov freebsd_committer 2013-11-13 15:46:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 2 Boris Samorodov 2013-11-13 16:04:41 UTC
Hi Matthias,

I propose to do changes in that order:

. stagify current tryton ports;
. fix tryton28* ports to use STAGE;
. create svn copy tryton* -> tryton28* ports;
. commit tryton28* ports.

I'll take care of all those changes if you give me your permission.

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 3 Matthias Petermann 2013-11-18 08:33:20 UTC
Hi Boris,

thanks for following up on my request. I agree with your  
recommendation. So I'll rework the Tryton 2.4 ports first - making  
them ready for staging and do required updates.

I'll be on vacation for some days end November, so I expect to be able  
to work on this in the first two weeks of December.

Best regards,
Matthias


Zitat von Boris Samorodov <bsam@passap.ru>:

> Hi Matthias,
>
> I propose to do changes in that order:
>
> . stagify current tryton ports;
> . fix tryton28* ports to use STAGE;
> . create svn copy tryton* -> tryton28* ports;
> . commit tryton28* ports.
>
> I'll take care of all those changes if you give me your permission.
>
> --
> WBR, Boris Samorodov (bsam)
> FreeBSD Committer, http://www.FreeBSD.org The Power To Serve


-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 4 Boris Samorodov 2013-11-18 08:46:49 UTC
18.11.2013 12:33, Matthias Petermann пиÑеÑ:

> thanks for following up on my request. I agree with your  
> recommendation. So I'll rework the Tryton 2.4 ports first - making  
> them ready for staging and do required updates.

Actually, I've already done it. The patch is attached.

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 5 Matthias Petermann 2013-11-18 08:50:20 UTC
Looks good - did you also do test it yet? Otherwise I can do it  
tonight in a VM and let you know if everything is fine.

Do you also plan to do so for Tryton 2.8?

Kind regards,
Matthias

Zitat von Boris Samorodov <bsam@passap.ru>:

> 18.11.2013 12:33, Matthias Petermann пиÑеÑ:
>
>> thanks for following up on my request. I agree with your
>> recommendation. So I'll rework the Tryton 2.4 ports first - making
>> them ready for staging and do required updates.
>
> Actually, I've already done it. The patch is attached.
>
> --
> WBR, Boris Samorodov (bsam)
> FreeBSD Committer, http://www.FreeBSD.org The Power To Serve


-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 6 Boris Samorodov 2013-11-18 08:59:14 UTC
18.11.2013 12:50, Matthias Petermann пиÑеÑ:

> Looks good - did you also do test it yet?

Yep, it was build-tested:
http://gw.wart.ru/bulk/11-amd64-testing/2013-11-13_21h02m50s/
http://gw.wart.ru/bulk/91-i386-testing/2013-11-13_21h01m20s/
http://gw.wart.ru/bulk/10-amd64-testing/2013-11-13_21h28m45s/
http://gw.wart.ru/bulk/10-i386-testing/2013-11-13_21h24m37s/

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 7 Boris Samorodov 2013-11-18 09:05:28 UTC
18.11.2013 12:50, Matthias Petermann пиÑеÑ:

> Do you also plan to do so for Tryton 2.8?

Sorry, forgot to answer this question.

Yes. Since most ports will be just copied, there will be not
much work (seems that I've done the most of it so far).

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 8 Matthias Petermann 2013-11-18 09:10:18 UTC
Ok, sounds great. Please let me know how I can support you.
Btw, I'm fine with the changes you did to the 2.4 ports - are you  
going to commit them?

Zitat von Boris Samorodov <bsam@passap.ru>:

> 18.11.2013 12:50, Matthias Petermann пиÑеÑ:
>
>> Do you also plan to do so for Tryton 2.8?
>
> Sorry, forgot to answer this question.
>
> Yes. Since most ports will be just copied, there will be not
> much work (seems that I've done the most of it so far).
>
> --
> WBR, Boris Samorodov (bsam)
> FreeBSD Committer, http://www.FreeBSD.org The Power To Serve


-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 9 Boris Samorodov 2013-11-18 09:13:08 UTC
18.11.2013 13:10, Matthias Petermann пиÑеÑ:

> Ok, sounds great. Please let me know how I can support you.

As I said at the very firt e-mail, just give me your approval. ;-)

> Btw, I'm fine with the changes you did to the 2.4 ports - are you  
> going to commit them?

Yep, since I've got your approval!

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 10 dfilter service freebsd_committer 2013-11-18 09:43:37 UTC
Author: bsam
Date: Mon Nov 18 09:43:15 2013
New Revision: 334164
URL: http://svnweb.freebsd.org/changeset/ports/334164

Log:
  Support STAGE (in preparation to commit PR/181691)..
  
  PR:		ports/181691
  Submitted by:	Matthias Petermann <matthias@petermann-it.de> (maintainer)
  Patch by:	bsam (me)
  Approved by:	Matthias Petermann <matthias@petermann-it.de> (maintainer)

Modified:
  head/finance/tryton/Makefile
  head/finance/trytond/Makefile
  head/finance/trytond_account/Makefile
  head/finance/trytond_account_be/Makefile
  head/finance/trytond_account_invoice/Makefile
  head/finance/trytond_account_invoice_history/Makefile
  head/finance/trytond_account_invoice_line_standalone/Makefile
  head/finance/trytond_account_product/Makefile
  head/finance/trytond_account_statement/Makefile
  head/finance/trytond_account_stock_anglo_saxon/Makefile
  head/finance/trytond_account_stock_continental/Makefile
  head/finance/trytond_analytic_account/Makefile
  head/finance/trytond_analytic_invoice/Makefile
  head/finance/trytond_analytic_purchase/Makefile
  head/finance/trytond_analytic_sale/Makefile
  head/finance/trytond_calendar/Makefile
  head/finance/trytond_calendar_classification/Makefile
  head/finance/trytond_calendar_scheduling/Makefile
  head/finance/trytond_calendar_todo/Makefile
  head/finance/trytond_carrier/Makefile
  head/finance/trytond_carrier_percentage/Makefile
  head/finance/trytond_carrier_weight/Makefile
  head/finance/trytond_company/Makefile
  head/finance/trytond_company_work_time/Makefile
  head/finance/trytond_country/Makefile
  head/finance/trytond_currency/Makefile
  head/finance/trytond_dashboard/Makefile
  head/finance/trytond_ldap_authentication/Makefile
  head/finance/trytond_ldap_connection/Makefile
  head/finance/trytond_party/Makefile
  head/finance/trytond_party_siret/Makefile
  head/finance/trytond_party_vcarddav/Makefile
  head/finance/trytond_product/Makefile
  head/finance/trytond_product_cost_fifo/Makefile
  head/finance/trytond_product_cost_history/Makefile
  head/finance/trytond_product_measurements/Makefile
  head/finance/trytond_product_price_list/Makefile
  head/finance/trytond_production/Makefile
  head/finance/trytond_project/Makefile
  head/finance/trytond_project_plan/Makefile
  head/finance/trytond_project_revenue/Makefile
  head/finance/trytond_purchase/Makefile
  head/finance/trytond_purchase_invoice_line_standalone/Makefile
  head/finance/trytond_purchase_shipment_cost/Makefile
  head/finance/trytond_sale/Makefile
  head/finance/trytond_sale_opportunity/Makefile
  head/finance/trytond_sale_price_list/Makefile
  head/finance/trytond_sale_shipment_cost/Makefile
  head/finance/trytond_stock/Makefile
  head/finance/trytond_stock_forecast/Makefile
  head/finance/trytond_stock_inventory_location/Makefile
  head/finance/trytond_stock_location_sequence/Makefile
  head/finance/trytond_stock_lot/Makefile
  head/finance/trytond_stock_product_location/Makefile
  head/finance/trytond_stock_split/Makefile
  head/finance/trytond_stock_supply/Makefile
  head/finance/trytond_stock_supply_day/Makefile
  head/finance/trytond_stock_supply_forecast/Makefile
  head/finance/trytond_stock_supply_production/Makefile
  head/finance/trytond_timesheet/Makefile
  head/french/trytond_account_fr/Makefile
  head/german/trytond_account_de_skr03/Makefile
  head/www/trytond_google_maps/Makefile

Modified: head/finance/tryton/Makefile
==============================================================================
--- head/finance/tryton/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/tryton/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,11 +19,10 @@ CONFLICTS=	tryton-2.[68].*
 USES=		desktop-file-utils gettext
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=easy_install
-USE_GNOME=	gtk20 desktopfileutils pygtk2
+USE_GNOME=	gtk20 pygtk2
 
-NO_STAGE=	yes
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/tryton.desktop ${PREFIX}/share/applications/tryton.desktop
-	${INSTALL_DATA} ${WRKSRC}/share/pixmaps/tryton/tryton-icon.png ${PREFIX}/share/pixmaps/tryton-icon.png
+	${INSTALL_DATA} ${WRKSRC}/tryton.desktop ${STAGEDIR}${PREFIX}/share/applications/tryton.desktop
+	${INSTALL_DATA} ${WRKSRC}/share/pixmaps/tryton/tryton-icon.png ${STAGEDIR}${PREFIX}/share/pixmaps/tryton-icon.png
 
 .include <bsd.port.mk>

Modified: head/finance/trytond/Makefile
==============================================================================
--- head/finance/trytond/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -44,7 +44,6 @@ LOGDIR?=	/var/log
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%PIDDIR%%|${PIDDIR}|g' -e 's|%%LOGDIR%%|${LOGDIR}|g' \
 		${WRKSRC}/etc/${PORTNAME}.conf
@@ -68,11 +67,6 @@ RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}pyt
 .endif
 
 post-install:
-	${CP} -p ${WRKSRC}/etc/${PORTNAME}.conf ${PREFIX}/etc/${PORTNAME}.conf.sample
-	@if [ ! -f ${PREFIX}/etc/${PORTNAME}.conf ]; then \
-		${CP} -p ${PREFIX}/etc/${PORTNAME}.conf.sample ${PREFIX}/etc/${PORTNAME}.conf ; \
-	fi
-
-	@${CAT} ${PKGMESSAGE}
+	${CP} -p ${WRKSRC}/etc/${PORTNAME}.conf ${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf.sample
 
 .include <bsd.port.mk>

Modified: head/finance/trytond_account/Makefile
==============================================================================
--- head/finance/trytond_account/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_account-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_be/Makefile
==============================================================================
--- head/finance/trytond_account_be/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_be/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_invoice/Makefile
==============================================================================
--- head/finance/trytond_account_invoice/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_invoice/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_account_invoice-2.[68
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_invoice_history/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_history/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_invoice_history/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account_invoice_histo
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_invoice_line_standalone/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_line_standalone/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_invoice_line_standalone/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account_invoice_line_
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_product/Makefile
==============================================================================
--- head/finance/trytond_account_product/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_product/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_account_product-2.[68
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_statement/Makefile
==============================================================================
--- head/finance/trytond_account_statement/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_statement/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account_statement-2.[
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_stock_anglo_saxon/Makefile
==============================================================================
--- head/finance/trytond_account_stock_anglo_saxon/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_stock_anglo_saxon/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_account_stock_anglo_s
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_account_stock_continental/Makefile
==============================================================================
--- head/finance/trytond_account_stock_continental/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_account_stock_continental/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_account_stock_contine
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_analytic_account/Makefile
==============================================================================
--- head/finance/trytond_analytic_account/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_analytic_account/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -21,5 +21,4 @@ CONFLICTS=	trytond_analytic_account-2.[6
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_analytic_invoice/Makefile
==============================================================================
--- head/finance/trytond_analytic_invoice/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_analytic_invoice/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_analytic_invoice-2.[6
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_analytic_purchase/Makefile
==============================================================================
--- head/finance/trytond_analytic_purchase/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_analytic_purchase/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_analytic_purchase-2.[
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_analytic_sale/Makefile
==============================================================================
--- head/finance/trytond_analytic_sale/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_analytic_sale/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_analytic_sale-2.[68].
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_calendar/Makefile
==============================================================================
--- head/finance/trytond_calendar/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_calendar/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -21,5 +21,4 @@ CONFLICTS=	trytond_calendar-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_calendar_classification/Makefile
==============================================================================
--- head/finance/trytond_calendar_classification/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_calendar_classification/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_calendar_classificati
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_calendar_scheduling/Makefile
==============================================================================
--- head/finance/trytond_calendar_scheduling/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_calendar_scheduling/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_calendar_scheduling-2
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_calendar_todo/Makefile
==============================================================================
--- head/finance/trytond_calendar_todo/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_calendar_todo/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_calendar_todo-2.[68].
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_carrier/Makefile
==============================================================================
--- head/finance/trytond_carrier/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_carrier/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_carrier-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_carrier_percentage/Makefile
==============================================================================
--- head/finance/trytond_carrier_percentage/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_carrier_percentage/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_carrier_percentage-2.
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_carrier_weight/Makefile
==============================================================================
--- head/finance/trytond_carrier_weight/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_carrier_weight/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_carrier_weight-2.[68]
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_company/Makefile
==============================================================================
--- head/finance/trytond_company/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_company/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_company-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_company_work_time/Makefile
==============================================================================
--- head/finance/trytond_company_work_time/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_company_work_time/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_company_work_time-2.[
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_country/Makefile
==============================================================================
--- head/finance/trytond_country/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_country/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -17,5 +17,4 @@ CONFLICTS=	trytond_country-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_currency/Makefile
==============================================================================
--- head/finance/trytond_currency/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_currency/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -17,5 +17,4 @@ CONFLICTS=	trytond_currency-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_dashboard/Makefile
==============================================================================
--- head/finance/trytond_dashboard/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_dashboard/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -17,5 +17,4 @@ CONFLICTS=	trytond_dashboard-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_ldap_authentication/Makefile
==============================================================================
--- head/finance/trytond_ldap_authentication/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_ldap_authentication/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_ldap_authentication-2
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_ldap_connection/Makefile
==============================================================================
--- head/finance/trytond_ldap_connection/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_ldap_connection/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_ldap_connection-2.[68
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_party/Makefile
==============================================================================
--- head/finance/trytond_party/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_party/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_party-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_party_siret/Makefile
==============================================================================
--- head/finance/trytond_party_siret/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_party_siret/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_party_siret-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_party_vcarddav/Makefile
==============================================================================
--- head/finance/trytond_party_vcarddav/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_party_vcarddav/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -21,5 +21,4 @@ CONFLICTS=	trytond_party_vcarddav-2.[68]
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_product/Makefile
==============================================================================
--- head/finance/trytond_product/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_product/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -17,5 +17,4 @@ CONFLICTS=	trytond_product-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_product_cost_fifo/Makefile
==============================================================================
--- head/finance/trytond_product_cost_fifo/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_product_cost_fifo/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_product_cost_fifo-2.[
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_product_cost_history/Makefile
==============================================================================
--- head/finance/trytond_product_cost_history/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_product_cost_history/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_product_cost_history-
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_product_measurements/Makefile
==============================================================================
--- head/finance/trytond_product_measurements/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_product_measurements/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_product_measurements-
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_product_price_list/Makefile
==============================================================================
--- head/finance/trytond_product_price_list/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_product_price_list/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_product_price_list-2.
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_production/Makefile
==============================================================================
--- head/finance/trytond_production/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_production/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -21,5 +21,4 @@ CONFLICTS=	trytond_production-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_project/Makefile
==============================================================================
--- head/finance/trytond_project/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_project/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_project-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_project_plan/Makefile
==============================================================================
--- head/finance/trytond_project_plan/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_project_plan/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_project_plan-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_project_revenue/Makefile
==============================================================================
--- head/finance/trytond_project_revenue/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_project_revenue/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_project_revenue-2.[68
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_purchase/Makefile
==============================================================================
--- head/finance/trytond_purchase/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_purchase/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_purchase-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_purchase_invoice_line_standalone/Makefile
==============================================================================
--- head/finance/trytond_purchase_invoice_line_standalone/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_purchase_invoice_line_standalone/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_purchase_invoice_line
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_purchase_shipment_cost/Makefile
==============================================================================
--- head/finance/trytond_purchase_shipment_cost/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_purchase_shipment_cost/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -21,5 +21,4 @@ CONFLICTS=	trytond_purchase_shipment_cos
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_sale/Makefile
==============================================================================
--- head/finance/trytond_sale/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_sale/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_sale-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_sale_opportunity/Makefile
==============================================================================
--- head/finance/trytond_sale_opportunity/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_sale_opportunity/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_sale_opportunity-2.[6
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_sale_price_list/Makefile
==============================================================================
--- head/finance/trytond_sale_price_list/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_sale_price_list/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_sale_price_list-2.[68
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_sale_shipment_cost/Makefile
==============================================================================
--- head/finance/trytond_sale_shipment_cost/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_sale_shipment_cost/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -22,5 +22,4 @@ CONFLICTS=	trytond_sale_shipment_cost-2.
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock/Makefile
==============================================================================
--- head/finance/trytond_stock/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -22,5 +22,4 @@ CONFLICTS=	trytond_stock-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_forecast/Makefile
==============================================================================
--- head/finance/trytond_stock_forecast/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_forecast/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -22,5 +22,4 @@ CONFLICTS=	trytond_stock_forecast-2.[68]
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_inventory_location/Makefile
==============================================================================
--- head/finance/trytond_stock_inventory_location/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_inventory_location/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_stock_inventory_locat
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_location_sequence/Makefile
==============================================================================
--- head/finance/trytond_stock_location_sequence/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_location_sequence/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_stock_location_sequen
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_lot/Makefile
==============================================================================
--- head/finance/trytond_stock_lot/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_lot/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_stock_lot-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_product_location/Makefile
==============================================================================
--- head/finance/trytond_stock_product_location/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_product_location/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_stock_product_locatio
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_split/Makefile
==============================================================================
--- head/finance/trytond_stock_split/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_split/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_stock_split-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_supply/Makefile
==============================================================================
--- head/finance/trytond_stock_supply/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_supply/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_stock_supply-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_supply_day/Makefile
==============================================================================
--- head/finance/trytond_stock_supply_day/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_supply_day/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_stock_supply_day-2.[6
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_supply_forecast/Makefile
==============================================================================
--- head/finance/trytond_stock_supply_forecast/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_supply_forecast/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -20,5 +20,4 @@ CONFLICTS=	trytond_stock_supply_forecast
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_stock_supply_production/Makefile
==============================================================================
--- head/finance/trytond_stock_supply_production/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_stock_supply_production/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_stock_supply_producti
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/finance/trytond_timesheet/Makefile
==============================================================================
--- head/finance/trytond_timesheet/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/finance/trytond_timesheet/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -19,5 +19,4 @@ CONFLICTS=	trytond_timesheet-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/french/trytond_account_fr/Makefile
==============================================================================
--- head/french/trytond_account_fr/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/french/trytond_account_fr/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account_fr-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/german/trytond_account_de_skr03/Makefile
==============================================================================
--- head/german/trytond_account_de_skr03/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/german/trytond_account_de_skr03/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_account_de_skr03-2.[6
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/www/trytond_google_maps/Makefile
==============================================================================
--- head/www/trytond_google_maps/Makefile	Mon Nov 18 09:40:02 2013	(r334163)
+++ head/www/trytond_google_maps/Makefile	Mon Nov 18 09:43:15 2013	(r334164)
@@ -18,5 +18,4 @@ CONFLICTS=	trytond_google_maps-2.[68].*
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Boris Samorodov 2013-11-18 13:31:18 UTC
18.11.2013 13:10, Matthias Petermann пиÑеÑ:

> Please let me know how I can support you.

OK, I've got some questions.

1. Some current (v.24) ports have a "Created by" header, some does not
have it. It will be good to unify them. Since all new ports have
this header I assume that those current ports which do not have
the header should be fixed.

2. Current port names and origins are consistent in names
(i.e. the use underscore "_"). New port name do it as well.
However new port origins use a dash ("-") after word "trytond".
For consistency sake I'll use underscore instead.

What do you think?

If you agree/approve, I'll take care of those changes.
-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 12 Matthias Petermann 2013-11-18 14:48:01 UTC
Hi Boris,

I fully agree with your proposal so you can consider it as approved.

1) please add the created by header to all of the ports where it is
    missing.

2) I thought using the dash might be easier to read, that's why I did
    this change. I have seen this schema on some other ports. But in this
    case - yes; consistency weights more than cosmetics.

Thanks for your work - I appreciate it and looking forward to see
Tryton 2.8 in the ports.

Best regards,
Matthias

Zitat von Boris Samorodov <bsam@passap.ru>:

> 18.11.2013 13:10, Matthias Petermann пиÑеÑ:
>
>> Please let me know how I can support you.
>
> OK, I've got some questions.
>
> 1. Some current (v.24) ports have a "Created by" header, some does not
> have it. It will be good to unify them. Since all new ports have
> this header I assume that those current ports which do not have
> the header should be fixed.
>
> 2. Current port names and origins are consistent in names
> (i.e. the use underscore "_"). New port name do it as well.
> However new port origins use a dash ("-") after word "trytond".
> For consistency sake I'll use underscore instead.
>
> What do you think?
>
> If you agree/approve, I'll take care of those changes.
> --
> WBR, Boris Samorodov (bsam)
> FreeBSD Committer, http://www.FreeBSD.org The Power To Serve


-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 13 dfilter service freebsd_committer 2013-11-18 15:12:12 UTC
Author: bsam
Date: Mon Nov 18 15:11:55 2013
New Revision: 334207
URL: http://svnweb.freebsd.org/changeset/ports/334207

Log:
  Restore "created by" header missing at some trytond* ports (in preparation
  to commit PR/181691).
  
  PR:		ports/181691
  Submitted by:	Matthias Petermann <matthias@petermann-it.de> (maintainer)
  Patch by:	bsam (me)
  Approved by:	Matthias Petermann <matthias@petermann-it.de> (maintainer)

Modified:
  head/finance/trytond_account_be/Makefile
  head/finance/trytond_account_invoice_history/Makefile
  head/finance/trytond_account_invoice_line_standalone/Makefile
  head/finance/trytond_account_product/Makefile
  head/finance/trytond_account_statement/Makefile
  head/finance/trytond_analytic_account/Makefile
  head/finance/trytond_analytic_purchase/Makefile
  head/finance/trytond_analytic_sale/Makefile
  head/finance/trytond_calendar/Makefile
  head/finance/trytond_calendar_classification/Makefile
  head/finance/trytond_calendar_scheduling/Makefile
  head/finance/trytond_calendar_todo/Makefile
  head/finance/trytond_carrier/Makefile
  head/finance/trytond_carrier_percentage/Makefile
  head/finance/trytond_carrier_weight/Makefile
  head/finance/trytond_company/Makefile
  head/finance/trytond_company_work_time/Makefile
  head/finance/trytond_country/Makefile
  head/finance/trytond_currency/Makefile
  head/finance/trytond_dashboard/Makefile
  head/finance/trytond_ldap_authentication/Makefile
  head/finance/trytond_ldap_connection/Makefile
  head/finance/trytond_party/Makefile
  head/finance/trytond_party_siret/Makefile
  head/finance/trytond_product/Makefile
  head/finance/trytond_product_cost_fifo/Makefile
  head/finance/trytond_product_cost_history/Makefile
  head/finance/trytond_product_measurements/Makefile
  head/finance/trytond_product_price_list/Makefile
  head/finance/trytond_project/Makefile
  head/finance/trytond_project_revenue/Makefile
  head/finance/trytond_purchase_invoice_line_standalone/Makefile
  head/finance/trytond_sale_opportunity/Makefile
  head/finance/trytond_sale_price_list/Makefile
  head/finance/trytond_stock_inventory_location/Makefile
  head/finance/trytond_stock_location_sequence/Makefile
  head/finance/trytond_stock_product_location/Makefile
  head/finance/trytond_stock_supply_day/Makefile
  head/finance/trytond_stock_supply_production/Makefile
  head/french/trytond_account_fr/Makefile
  head/german/trytond_account_de_skr03/Makefile
  head/www/trytond_google_maps/Makefile

Modified: head/finance/trytond_account_be/Makefile
==============================================================================
--- head/finance/trytond_account_be/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_account_be/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_be

Modified: head/finance/trytond_account_invoice_history/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_history/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_account_invoice_history/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_invoice_history

Modified: head/finance/trytond_account_invoice_line_standalone/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_line_standalone/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_account_invoice_line_standalone/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_invoice_line_standalone

Modified: head/finance/trytond_account_product/Makefile
==============================================================================
--- head/finance/trytond_account_product/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_account_product/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_product

Modified: head/finance/trytond_account_statement/Makefile
==============================================================================
--- head/finance/trytond_account_statement/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_account_statement/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_statement

Modified: head/finance/trytond_analytic_account/Makefile
==============================================================================
--- head/finance/trytond_analytic_account/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_analytic_account/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_analytic_account

Modified: head/finance/trytond_analytic_purchase/Makefile
==============================================================================
--- head/finance/trytond_analytic_purchase/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_analytic_purchase/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_analytic_purchase

Modified: head/finance/trytond_analytic_sale/Makefile
==============================================================================
--- head/finance/trytond_analytic_sale/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_analytic_sale/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_analytic_sale

Modified: head/finance/trytond_calendar/Makefile
==============================================================================
--- head/finance/trytond_calendar/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_calendar/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_calendar

Modified: head/finance/trytond_calendar_classification/Makefile
==============================================================================
--- head/finance/trytond_calendar_classification/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_calendar_classification/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_calendar_classification

Modified: head/finance/trytond_calendar_scheduling/Makefile
==============================================================================
--- head/finance/trytond_calendar_scheduling/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_calendar_scheduling/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_calendar_scheduling

Modified: head/finance/trytond_calendar_todo/Makefile
==============================================================================
--- head/finance/trytond_calendar_todo/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_calendar_todo/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_calendar_todo

Modified: head/finance/trytond_carrier/Makefile
==============================================================================
--- head/finance/trytond_carrier/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_carrier/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_carrier

Modified: head/finance/trytond_carrier_percentage/Makefile
==============================================================================
--- head/finance/trytond_carrier_percentage/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_carrier_percentage/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_carrier_percentage

Modified: head/finance/trytond_carrier_weight/Makefile
==============================================================================
--- head/finance/trytond_carrier_weight/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_carrier_weight/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_carrier_weight

Modified: head/finance/trytond_company/Makefile
==============================================================================
--- head/finance/trytond_company/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_company/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_company

Modified: head/finance/trytond_company_work_time/Makefile
==============================================================================
--- head/finance/trytond_company_work_time/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_company_work_time/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_company_work_time

Modified: head/finance/trytond_country/Makefile
==============================================================================
--- head/finance/trytond_country/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_country/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_country

Modified: head/finance/trytond_currency/Makefile
==============================================================================
--- head/finance/trytond_currency/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_currency/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_currency

Modified: head/finance/trytond_dashboard/Makefile
==============================================================================
--- head/finance/trytond_dashboard/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_dashboard/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_dashboard

Modified: head/finance/trytond_ldap_authentication/Makefile
==============================================================================
--- head/finance/trytond_ldap_authentication/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_ldap_authentication/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_ldap_authentication

Modified: head/finance/trytond_ldap_connection/Makefile
==============================================================================
--- head/finance/trytond_ldap_connection/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_ldap_connection/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_ldap_connection

Modified: head/finance/trytond_party/Makefile
==============================================================================
--- head/finance/trytond_party/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_party/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_party

Modified: head/finance/trytond_party_siret/Makefile
==============================================================================
--- head/finance/trytond_party_siret/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_party_siret/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_party_siret

Modified: head/finance/trytond_product/Makefile
==============================================================================
--- head/finance/trytond_product/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_product/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_product

Modified: head/finance/trytond_product_cost_fifo/Makefile
==============================================================================
--- head/finance/trytond_product_cost_fifo/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_product_cost_fifo/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_product_cost_fifo

Modified: head/finance/trytond_product_cost_history/Makefile
==============================================================================
--- head/finance/trytond_product_cost_history/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_product_cost_history/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_product_cost_history

Modified: head/finance/trytond_product_measurements/Makefile
==============================================================================
--- head/finance/trytond_product_measurements/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_product_measurements/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_product_measurements

Modified: head/finance/trytond_product_price_list/Makefile
==============================================================================
--- head/finance/trytond_product_price_list/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_product_price_list/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_product_price_list

Modified: head/finance/trytond_project/Makefile
==============================================================================
--- head/finance/trytond_project/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_project/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_project

Modified: head/finance/trytond_project_revenue/Makefile
==============================================================================
--- head/finance/trytond_project_revenue/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_project_revenue/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_project_revenue

Modified: head/finance/trytond_purchase_invoice_line_standalone/Makefile
==============================================================================
--- head/finance/trytond_purchase_invoice_line_standalone/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_purchase_invoice_line_standalone/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_purchase_invoice_line_standalone

Modified: head/finance/trytond_sale_opportunity/Makefile
==============================================================================
--- head/finance/trytond_sale_opportunity/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_sale_opportunity/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_sale_opportunity

Modified: head/finance/trytond_sale_price_list/Makefile
==============================================================================
--- head/finance/trytond_sale_price_list/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_sale_price_list/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_sale_price_list

Modified: head/finance/trytond_stock_inventory_location/Makefile
==============================================================================
--- head/finance/trytond_stock_inventory_location/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_stock_inventory_location/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_stock_inventory_location

Modified: head/finance/trytond_stock_location_sequence/Makefile
==============================================================================
--- head/finance/trytond_stock_location_sequence/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_stock_location_sequence/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_stock_location_sequence

Modified: head/finance/trytond_stock_product_location/Makefile
==============================================================================
--- head/finance/trytond_stock_product_location/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_stock_product_location/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_stock_product_location

Modified: head/finance/trytond_stock_supply_day/Makefile
==============================================================================
--- head/finance/trytond_stock_supply_day/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_stock_supply_day/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_stock_supply_day

Modified: head/finance/trytond_stock_supply_production/Makefile
==============================================================================
--- head/finance/trytond_stock_supply_production/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/finance/trytond_stock_supply_production/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_stock_supply_production

Modified: head/french/trytond_account_fr/Makefile
==============================================================================
--- head/french/trytond_account_fr/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/french/trytond_account_fr/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_fr

Modified: head/german/trytond_account_de_skr03/Makefile
==============================================================================
--- head/german/trytond_account_de_skr03/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/german/trytond_account_de_skr03/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_account_de_skr03

Modified: head/www/trytond_google_maps/Makefile
==============================================================================
--- head/www/trytond_google_maps/Makefile	Mon Nov 18 15:08:34 2013	(r334206)
+++ head/www/trytond_google_maps/Makefile	Mon Nov 18 15:11:55 2013	(r334207)
@@ -1,3 +1,4 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond_google_maps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 14 Boris Samorodov 2013-11-18 15:46:44 UTC
One more question. New ports have same name as current ones.
I.e. for both finance/tryton and finance/tryton28:
-----
PORTNAME=tryton
-----

Portname should be unique. The best we can do here is to replace
tryton and trytond to tryton28 and trytond28 accordingly for new
port (v.28) names.

A note though:
Actually, pkgname should be unique. PORTNAMESUFFIX and PORTNAMEPREFIX
may be defined. But both of them seems to be ugly here:
trytond_account-28 or 28-trytond_account.

-- 
WBR, Boris Samorodov (bsam)
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve
Comment 15 Matthias Petermann 2013-11-18 17:33:12 UTC
Hi Boris,

Am 18.11.2013 16:46, schrieb Boris Samorodov:
> One more question. New ports have same name as current ones.
> I.e. for both finance/tryton and finance/tryton28:

Ok, I was not aware of this convention as I always thought that
portname and portversion together make up a unique key to give the
resulting pkg an identity. So this is a good learning - I'll take care
of it next time.

Just out of curiosity: is there something breaking when the
port/pkgnames are not unique, or is it a matter of consistency?

Best regards,
Matthias


-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 16 dfilter service freebsd_committer 2013-11-20 17:21:27 UTC
Author: bsam
Date: Wed Nov 20 17:20:57 2013
New Revision: 334432
URL: http://svnweb.freebsd.org/changeset/ports/334432

Log:
  . svn copy tryton -> tryton28 ports;
  . update tryton28 ports;   [1]
  . connect tryton28 ports to build;
  . register conflicts at tryton ports.
  
  PR:		ports/181691  [1]
  Submitted by:	Matthias Petermann <matthias@petermann-it.de> [1]
  Approved by:	Matthias Petermann <matthias@petermann-it.de>

Added:
  head/finance/tryton28/
     - copied from r334208, head/finance/tryton/
  head/finance/trytond28/
     - copied from r334208, head/finance/trytond/
  head/finance/trytond28_account/
     - copied from r334208, head/finance/trytond_account/
  head/finance/trytond28_account_asset/
  head/finance/trytond28_account_asset/Makefile   (contents, props changed)
  head/finance/trytond28_account_asset/distinfo   (contents, props changed)
  head/finance/trytond28_account_asset/pkg-descr   (contents, props changed)
  head/finance/trytond28_account_asset/pkg-plist   (contents, props changed)
  head/finance/trytond28_account_be/
     - copied from r334208, head/finance/trytond_account_be/
  head/finance/trytond28_account_invoice/
     - copied from r334208, head/finance/trytond_account_invoice/
  head/finance/trytond28_account_invoice_history/
     - copied from r334208, head/finance/trytond_account_invoice_history/
  head/finance/trytond28_account_invoice_line_standalone/
     - copied from r334208, head/finance/trytond_account_invoice_line_standalone/
  head/finance/trytond28_account_product/
     - copied from r334208, head/finance/trytond_account_product/
  head/finance/trytond28_account_statement/
     - copied from r334208, head/finance/trytond_account_statement/
  head/finance/trytond28_account_stock_anglo_saxon/
     - copied from r334208, head/finance/trytond_account_stock_anglo_saxon/
  head/finance/trytond28_account_stock_continental/
     - copied from r334208, head/finance/trytond_account_stock_continental/
  head/finance/trytond28_analytic_account/
     - copied from r334208, head/finance/trytond_analytic_account/
  head/finance/trytond28_analytic_invoice/
     - copied from r334208, head/finance/trytond_analytic_invoice/
  head/finance/trytond28_analytic_purchase/
     - copied from r334208, head/finance/trytond_analytic_purchase/
  head/finance/trytond28_analytic_sale/
     - copied from r334208, head/finance/trytond_analytic_sale/
  head/finance/trytond28_calendar/
     - copied from r334208, head/finance/trytond_calendar/
  head/finance/trytond28_calendar_classification/
     - copied from r334208, head/finance/trytond_calendar_classification/
  head/finance/trytond28_calendar_scheduling/
     - copied from r334208, head/finance/trytond_calendar_scheduling/
  head/finance/trytond28_calendar_todo/
     - copied from r334208, head/finance/trytond_calendar_todo/
  head/finance/trytond28_carrier/
     - copied from r334208, head/finance/trytond_carrier/
  head/finance/trytond28_carrier_percentage/
     - copied from r334208, head/finance/trytond_carrier_percentage/
  head/finance/trytond28_carrier_weight/
     - copied from r334208, head/finance/trytond_carrier_weight/
  head/finance/trytond28_company/
     - copied from r334208, head/finance/trytond_company/
  head/finance/trytond28_company_work_time/
     - copied from r334208, head/finance/trytond_company_work_time/
  head/finance/trytond28_country/
     - copied from r334208, head/finance/trytond_country/
  head/finance/trytond28_currency/
     - copied from r334208, head/finance/trytond_currency/
  head/finance/trytond28_dashboard/
     - copied from r334208, head/finance/trytond_dashboard/
  head/finance/trytond28_ldap_authentication/
     - copied from r334208, head/finance/trytond_ldap_authentication/
  head/finance/trytond28_ldap_connection/
     - copied from r334208, head/finance/trytond_ldap_connection/
  head/finance/trytond28_party/
     - copied from r334208, head/finance/trytond_party/
  head/finance/trytond28_party_siret/
     - copied from r334208, head/finance/trytond_party_siret/
  head/finance/trytond28_party_vcarddav/
     - copied from r334208, head/finance/trytond_party_vcarddav/
  head/finance/trytond28_product/
     - copied from r334208, head/finance/trytond_product/
  head/finance/trytond28_product_attribute/
  head/finance/trytond28_product_attribute/Makefile   (contents, props changed)
  head/finance/trytond28_product_attribute/distinfo   (contents, props changed)
  head/finance/trytond28_product_attribute/pkg-descr   (contents, props changed)
  head/finance/trytond28_product_attribute/pkg-plist   (contents, props changed)
  head/finance/trytond28_product_cost_fifo/
     - copied from r334208, head/finance/trytond_product_cost_fifo/
  head/finance/trytond28_product_cost_history/
     - copied from r334208, head/finance/trytond_product_cost_history/
  head/finance/trytond28_product_measurements/
     - copied from r334208, head/finance/trytond_product_measurements/
  head/finance/trytond28_product_price_list/
     - copied from r334208, head/finance/trytond_product_price_list/
  head/finance/trytond28_production/
     - copied from r334208, head/finance/trytond_production/
  head/finance/trytond28_project/
     - copied from r334208, head/finance/trytond_project/
  head/finance/trytond28_project_invoice/
  head/finance/trytond28_project_invoice/Makefile   (contents, props changed)
  head/finance/trytond28_project_invoice/distinfo   (contents, props changed)
  head/finance/trytond28_project_invoice/pkg-descr   (contents, props changed)
  head/finance/trytond28_project_invoice/pkg-plist   (contents, props changed)
  head/finance/trytond28_project_plan/
     - copied from r334208, head/finance/trytond_project_plan/
  head/finance/trytond28_project_revenue/
     - copied from r334208, head/finance/trytond_project_revenue/
  head/finance/trytond28_purchase/
     - copied from r334208, head/finance/trytond_purchase/
  head/finance/trytond28_purchase_invoice_line_standalone/
     - copied from r334208, head/finance/trytond_purchase_invoice_line_standalone/
  head/finance/trytond28_purchase_shipment_cost/
     - copied from r334208, head/finance/trytond_purchase_shipment_cost/
  head/finance/trytond28_sale/
     - copied from r334208, head/finance/trytond_sale/
  head/finance/trytond28_sale_opportunity/
     - copied from r334208, head/finance/trytond_sale_opportunity/
  head/finance/trytond28_sale_price_list/
     - copied from r334208, head/finance/trytond_sale_price_list/
  head/finance/trytond28_sale_shipment_cost/
     - copied from r334208, head/finance/trytond_sale_shipment_cost/
  head/finance/trytond28_sale_supply/
  head/finance/trytond28_sale_supply/Makefile   (contents, props changed)
  head/finance/trytond28_sale_supply/distinfo   (contents, props changed)
  head/finance/trytond28_sale_supply/pkg-descr   (contents, props changed)
  head/finance/trytond28_sale_supply/pkg-plist   (contents, props changed)
  head/finance/trytond28_sale_supply_drop_shipment/
  head/finance/trytond28_sale_supply_drop_shipment/Makefile   (contents, props changed)
  head/finance/trytond28_sale_supply_drop_shipment/distinfo   (contents, props changed)
  head/finance/trytond28_sale_supply_drop_shipment/pkg-descr   (contents, props changed)
  head/finance/trytond28_sale_supply_drop_shipment/pkg-plist   (contents, props changed)
  head/finance/trytond28_stock/
     - copied from r334208, head/finance/trytond_stock/
  head/finance/trytond28_stock_forecast/
     - copied from r334208, head/finance/trytond_stock_forecast/
  head/finance/trytond28_stock_inventory_location/
     - copied from r334208, head/finance/trytond_stock_inventory_location/
  head/finance/trytond28_stock_location_sequence/
     - copied from r334208, head/finance/trytond_stock_location_sequence/
  head/finance/trytond28_stock_lot/
     - copied from r334208, head/finance/trytond_stock_lot/
  head/finance/trytond28_stock_product_location/
     - copied from r334208, head/finance/trytond_stock_product_location/
  head/finance/trytond28_stock_split/
     - copied from r334208, head/finance/trytond_stock_split/
  head/finance/trytond28_stock_supply/
     - copied from r334208, head/finance/trytond_stock_supply/
  head/finance/trytond28_stock_supply_day/
     - copied from r334208, head/finance/trytond_stock_supply_day/
  head/finance/trytond28_stock_supply_forecast/
     - copied from r334208, head/finance/trytond_stock_supply_forecast/
  head/finance/trytond28_stock_supply_production/
     - copied from r334208, head/finance/trytond_stock_supply_production/
  head/finance/trytond28_timesheet/
     - copied from r334208, head/finance/trytond_timesheet/
  head/french/trytond28_account_fr/
     - copied from r334208, head/french/trytond_account_fr/
  head/german/trytond28_account_de_skr03/
     - copied from r334208, head/german/trytond_account_de_skr03/
  head/www/trytond28_google_maps/
     - copied from r334208, head/www/trytond_google_maps/
Modified:
  head/finance/Makefile
  head/finance/tryton/Makefile
  head/finance/tryton28/Makefile
  head/finance/tryton28/distinfo
  head/finance/tryton28/pkg-plist
  head/finance/trytond/Makefile
  head/finance/trytond28/Makefile
  head/finance/trytond28/distinfo
  head/finance/trytond28/files/patch-etc_trytond.conf
  head/finance/trytond28/pkg-plist
  head/finance/trytond28_account/Makefile
  head/finance/trytond28_account/distinfo
  head/finance/trytond28_account/pkg-plist
  head/finance/trytond28_account_be/Makefile
  head/finance/trytond28_account_be/distinfo
  head/finance/trytond28_account_be/pkg-plist
  head/finance/trytond28_account_invoice/Makefile
  head/finance/trytond28_account_invoice/distinfo
  head/finance/trytond28_account_invoice/pkg-plist
  head/finance/trytond28_account_invoice_history/Makefile
  head/finance/trytond28_account_invoice_history/distinfo
  head/finance/trytond28_account_invoice_history/pkg-plist
  head/finance/trytond28_account_invoice_line_standalone/Makefile
  head/finance/trytond28_account_invoice_line_standalone/distinfo
  head/finance/trytond28_account_invoice_line_standalone/pkg-plist
  head/finance/trytond28_account_product/Makefile
  head/finance/trytond28_account_product/distinfo
  head/finance/trytond28_account_product/pkg-plist
  head/finance/trytond28_account_statement/Makefile
  head/finance/trytond28_account_statement/distinfo
  head/finance/trytond28_account_statement/pkg-plist
  head/finance/trytond28_account_stock_anglo_saxon/Makefile
  head/finance/trytond28_account_stock_anglo_saxon/distinfo
  head/finance/trytond28_account_stock_anglo_saxon/pkg-plist
  head/finance/trytond28_account_stock_continental/Makefile
  head/finance/trytond28_account_stock_continental/distinfo
  head/finance/trytond28_account_stock_continental/pkg-plist
  head/finance/trytond28_analytic_account/Makefile
  head/finance/trytond28_analytic_account/distinfo
  head/finance/trytond28_analytic_account/pkg-plist
  head/finance/trytond28_analytic_invoice/Makefile
  head/finance/trytond28_analytic_invoice/distinfo
  head/finance/trytond28_analytic_invoice/pkg-plist
  head/finance/trytond28_analytic_purchase/Makefile
  head/finance/trytond28_analytic_purchase/distinfo
  head/finance/trytond28_analytic_purchase/pkg-plist
  head/finance/trytond28_analytic_sale/Makefile
  head/finance/trytond28_analytic_sale/distinfo
  head/finance/trytond28_analytic_sale/pkg-plist
  head/finance/trytond28_calendar/Makefile
  head/finance/trytond28_calendar/distinfo
  head/finance/trytond28_calendar/pkg-plist
  head/finance/trytond28_calendar_classification/Makefile
  head/finance/trytond28_calendar_classification/distinfo
  head/finance/trytond28_calendar_classification/pkg-plist
  head/finance/trytond28_calendar_scheduling/Makefile
  head/finance/trytond28_calendar_scheduling/distinfo
  head/finance/trytond28_calendar_scheduling/pkg-plist
  head/finance/trytond28_calendar_todo/Makefile
  head/finance/trytond28_calendar_todo/distinfo
  head/finance/trytond28_calendar_todo/pkg-plist
  head/finance/trytond28_carrier/Makefile
  head/finance/trytond28_carrier/distinfo
  head/finance/trytond28_carrier/pkg-plist
  head/finance/trytond28_carrier_percentage/Makefile
  head/finance/trytond28_carrier_percentage/distinfo
  head/finance/trytond28_carrier_percentage/pkg-plist
  head/finance/trytond28_carrier_weight/Makefile
  head/finance/trytond28_carrier_weight/distinfo
  head/finance/trytond28_carrier_weight/pkg-plist
  head/finance/trytond28_company/Makefile
  head/finance/trytond28_company/distinfo
  head/finance/trytond28_company/pkg-plist
  head/finance/trytond28_company_work_time/Makefile
  head/finance/trytond28_company_work_time/distinfo
  head/finance/trytond28_company_work_time/pkg-plist
  head/finance/trytond28_country/Makefile
  head/finance/trytond28_country/distinfo
  head/finance/trytond28_country/pkg-plist
  head/finance/trytond28_currency/Makefile
  head/finance/trytond28_currency/distinfo
  head/finance/trytond28_currency/pkg-plist
  head/finance/trytond28_dashboard/Makefile
  head/finance/trytond28_dashboard/distinfo
  head/finance/trytond28_dashboard/pkg-plist
  head/finance/trytond28_ldap_authentication/Makefile
  head/finance/trytond28_ldap_authentication/distinfo
  head/finance/trytond28_ldap_authentication/pkg-plist
  head/finance/trytond28_ldap_connection/Makefile
  head/finance/trytond28_ldap_connection/distinfo
  head/finance/trytond28_ldap_connection/pkg-plist
  head/finance/trytond28_party/Makefile
  head/finance/trytond28_party/distinfo
  head/finance/trytond28_party/pkg-plist
  head/finance/trytond28_party_siret/Makefile
  head/finance/trytond28_party_siret/distinfo
  head/finance/trytond28_party_siret/pkg-plist
  head/finance/trytond28_party_vcarddav/Makefile
  head/finance/trytond28_party_vcarddav/distinfo
  head/finance/trytond28_party_vcarddav/pkg-plist
  head/finance/trytond28_product/Makefile
  head/finance/trytond28_product/distinfo
  head/finance/trytond28_product/pkg-plist
  head/finance/trytond28_product_cost_fifo/Makefile
  head/finance/trytond28_product_cost_fifo/distinfo
  head/finance/trytond28_product_cost_fifo/pkg-plist
  head/finance/trytond28_product_cost_history/Makefile
  head/finance/trytond28_product_cost_history/distinfo
  head/finance/trytond28_product_cost_history/pkg-plist
  head/finance/trytond28_product_measurements/Makefile
  head/finance/trytond28_product_measurements/distinfo
  head/finance/trytond28_product_measurements/pkg-plist
  head/finance/trytond28_product_price_list/Makefile
  head/finance/trytond28_product_price_list/distinfo
  head/finance/trytond28_product_price_list/pkg-plist
  head/finance/trytond28_production/Makefile
  head/finance/trytond28_production/distinfo
  head/finance/trytond28_production/pkg-plist
  head/finance/trytond28_project/Makefile
  head/finance/trytond28_project/distinfo
  head/finance/trytond28_project/pkg-plist
  head/finance/trytond28_project_plan/Makefile
  head/finance/trytond28_project_plan/distinfo
  head/finance/trytond28_project_plan/pkg-plist
  head/finance/trytond28_project_revenue/Makefile
  head/finance/trytond28_project_revenue/distinfo
  head/finance/trytond28_project_revenue/pkg-plist
  head/finance/trytond28_purchase/Makefile
  head/finance/trytond28_purchase/distinfo
  head/finance/trytond28_purchase/pkg-plist
  head/finance/trytond28_purchase_invoice_line_standalone/Makefile
  head/finance/trytond28_purchase_invoice_line_standalone/distinfo
  head/finance/trytond28_purchase_invoice_line_standalone/pkg-plist
  head/finance/trytond28_purchase_shipment_cost/Makefile
  head/finance/trytond28_purchase_shipment_cost/distinfo
  head/finance/trytond28_purchase_shipment_cost/pkg-plist
  head/finance/trytond28_sale/Makefile
  head/finance/trytond28_sale/distinfo
  head/finance/trytond28_sale/pkg-plist
  head/finance/trytond28_sale_opportunity/Makefile
  head/finance/trytond28_sale_opportunity/distinfo
  head/finance/trytond28_sale_opportunity/pkg-plist
  head/finance/trytond28_sale_price_list/Makefile
  head/finance/trytond28_sale_price_list/distinfo
  head/finance/trytond28_sale_price_list/pkg-plist
  head/finance/trytond28_sale_shipment_cost/Makefile
  head/finance/trytond28_sale_shipment_cost/distinfo
  head/finance/trytond28_sale_shipment_cost/pkg-plist
  head/finance/trytond28_stock/Makefile
  head/finance/trytond28_stock/distinfo
  head/finance/trytond28_stock/pkg-plist
  head/finance/trytond28_stock_forecast/Makefile
  head/finance/trytond28_stock_forecast/distinfo
  head/finance/trytond28_stock_forecast/pkg-plist
  head/finance/trytond28_stock_inventory_location/Makefile
  head/finance/trytond28_stock_inventory_location/distinfo
  head/finance/trytond28_stock_inventory_location/pkg-plist
  head/finance/trytond28_stock_location_sequence/Makefile
  head/finance/trytond28_stock_location_sequence/distinfo
  head/finance/trytond28_stock_location_sequence/pkg-plist
  head/finance/trytond28_stock_lot/Makefile
  head/finance/trytond28_stock_lot/distinfo
  head/finance/trytond28_stock_lot/pkg-plist
  head/finance/trytond28_stock_product_location/Makefile
  head/finance/trytond28_stock_product_location/distinfo
  head/finance/trytond28_stock_product_location/pkg-plist
  head/finance/trytond28_stock_split/Makefile
  head/finance/trytond28_stock_split/distinfo
  head/finance/trytond28_stock_split/pkg-plist
  head/finance/trytond28_stock_supply/Makefile
  head/finance/trytond28_stock_supply/distinfo
  head/finance/trytond28_stock_supply/pkg-plist
  head/finance/trytond28_stock_supply_day/Makefile
  head/finance/trytond28_stock_supply_day/distinfo
  head/finance/trytond28_stock_supply_day/pkg-plist
  head/finance/trytond28_stock_supply_forecast/Makefile
  head/finance/trytond28_stock_supply_forecast/distinfo
  head/finance/trytond28_stock_supply_forecast/pkg-plist
  head/finance/trytond28_stock_supply_production/Makefile
  head/finance/trytond28_stock_supply_production/distinfo
  head/finance/trytond28_stock_supply_production/pkg-plist
  head/finance/trytond28_timesheet/Makefile
  head/finance/trytond28_timesheet/distinfo
  head/finance/trytond28_timesheet/pkg-plist
  head/finance/trytond_account/Makefile
  head/finance/trytond_account_be/Makefile
  head/finance/trytond_account_invoice/Makefile
  head/finance/trytond_account_invoice_history/Makefile
  head/finance/trytond_account_invoice_line_standalone/Makefile
  head/finance/trytond_account_product/Makefile
  head/finance/trytond_account_statement/Makefile
  head/finance/trytond_account_stock_anglo_saxon/Makefile
  head/finance/trytond_account_stock_continental/Makefile
  head/finance/trytond_analytic_account/Makefile
  head/finance/trytond_analytic_invoice/Makefile
  head/finance/trytond_analytic_purchase/Makefile
  head/finance/trytond_analytic_sale/Makefile
  head/finance/trytond_calendar/Makefile
  head/finance/trytond_calendar_classification/Makefile
  head/finance/trytond_calendar_scheduling/Makefile
  head/finance/trytond_calendar_todo/Makefile
  head/finance/trytond_carrier/Makefile
  head/finance/trytond_carrier_percentage/Makefile
  head/finance/trytond_carrier_weight/Makefile
  head/finance/trytond_company/Makefile
  head/finance/trytond_company_work_time/Makefile
  head/finance/trytond_country/Makefile
  head/finance/trytond_currency/Makefile
  head/finance/trytond_dashboard/Makefile
  head/finance/trytond_ldap_authentication/Makefile
  head/finance/trytond_ldap_connection/Makefile
  head/finance/trytond_party/Makefile
  head/finance/trytond_party_siret/Makefile
  head/finance/trytond_party_vcarddav/Makefile
  head/finance/trytond_product/Makefile
  head/finance/trytond_product_cost_fifo/Makefile
  head/finance/trytond_product_cost_history/Makefile
  head/finance/trytond_product_measurements/Makefile
  head/finance/trytond_product_price_list/Makefile
  head/finance/trytond_production/Makefile
  head/finance/trytond_project/Makefile
  head/finance/trytond_project_plan/Makefile
  head/finance/trytond_project_revenue/Makefile
  head/finance/trytond_purchase/Makefile
  head/finance/trytond_purchase_invoice_line_standalone/Makefile
  head/finance/trytond_purchase_shipment_cost/Makefile
  head/finance/trytond_sale/Makefile
  head/finance/trytond_sale_opportunity/Makefile
  head/finance/trytond_sale_price_list/Makefile
  head/finance/trytond_sale_shipment_cost/Makefile
  head/finance/trytond_stock/Makefile
  head/finance/trytond_stock_forecast/Makefile
  head/finance/trytond_stock_inventory_location/Makefile
  head/finance/trytond_stock_location_sequence/Makefile
  head/finance/trytond_stock_lot/Makefile
  head/finance/trytond_stock_product_location/Makefile
  head/finance/trytond_stock_split/Makefile
  head/finance/trytond_stock_supply/Makefile
  head/finance/trytond_stock_supply_day/Makefile
  head/finance/trytond_stock_supply_forecast/Makefile
  head/finance/trytond_stock_supply_production/Makefile
  head/finance/trytond_timesheet/Makefile
  head/french/Makefile
  head/french/trytond28_account_fr/Makefile
  head/french/trytond28_account_fr/distinfo
  head/french/trytond28_account_fr/pkg-plist
  head/french/trytond_account_fr/Makefile
  head/german/Makefile
  head/german/trytond28_account_de_skr03/Makefile
  head/german/trytond28_account_de_skr03/distinfo
  head/german/trytond28_account_de_skr03/pkg-plist
  head/german/trytond_account_de_skr03/Makefile
  head/www/Makefile
  head/www/trytond28_google_maps/Makefile
  head/www/trytond28_google_maps/distinfo
  head/www/trytond28_google_maps/pkg-plist
  head/www/trytond_google_maps/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Wed Nov 20 17:18:31 2013	(r334431)
+++ head/finance/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -102,7 +102,72 @@
     SUBDIR += skrooge
     SUBDIR += sql-ledger
     SUBDIR += tryton
+    SUBDIR += tryton28
     SUBDIR += trytond
+    SUBDIR += trytond28
+    SUBDIR += trytond28_account
+    SUBDIR += trytond28_account_asset
+    SUBDIR += trytond28_account_be
+    SUBDIR += trytond28_account_invoice
+    SUBDIR += trytond28_account_invoice_history
+    SUBDIR += trytond28_account_invoice_line_standalone
+    SUBDIR += trytond28_account_product
+    SUBDIR += trytond28_account_statement
+    SUBDIR += trytond28_account_stock_anglo_saxon
+    SUBDIR += trytond28_account_stock_continental
+    SUBDIR += trytond28_analytic_account
+    SUBDIR += trytond28_analytic_invoice
+    SUBDIR += trytond28_analytic_purchase
+    SUBDIR += trytond28_analytic_sale
+    SUBDIR += trytond28_calendar
+    SUBDIR += trytond28_calendar_classification
+    SUBDIR += trytond28_calendar_scheduling
+    SUBDIR += trytond28_calendar_todo
+    SUBDIR += trytond28_carrier
+    SUBDIR += trytond28_carrier_percentage
+    SUBDIR += trytond28_carrier_weight
+    SUBDIR += trytond28_company
+    SUBDIR += trytond28_company_work_time
+    SUBDIR += trytond28_country
+    SUBDIR += trytond28_currency
+    SUBDIR += trytond28_dashboard
+    SUBDIR += trytond28_ldap_authentication
+    SUBDIR += trytond28_ldap_connection
+    SUBDIR += trytond28_party
+    SUBDIR += trytond28_party_siret
+    SUBDIR += trytond28_party_vcarddav
+    SUBDIR += trytond28_product
+    SUBDIR += trytond28_product_attribute
+    SUBDIR += trytond28_product_cost_fifo
+    SUBDIR += trytond28_product_cost_history
+    SUBDIR += trytond28_product_measurements
+    SUBDIR += trytond28_product_price_list
+    SUBDIR += trytond28_production
+    SUBDIR += trytond28_project
+    SUBDIR += trytond28_project_invoice
+    SUBDIR += trytond28_project_plan
+    SUBDIR += trytond28_project_revenue
+    SUBDIR += trytond28_purchase
+    SUBDIR += trytond28_purchase_invoice_line_standalone
+    SUBDIR += trytond28_purchase_shipment_cost
+    SUBDIR += trytond28_sale
+    SUBDIR += trytond28_sale_opportunity
+    SUBDIR += trytond28_sale_price_list
+    SUBDIR += trytond28_sale_shipment_cost
+    SUBDIR += trytond28_sale_supply
+    SUBDIR += trytond28_sale_supply_drop_shipment
+    SUBDIR += trytond28_stock
+    SUBDIR += trytond28_stock_forecast
+    SUBDIR += trytond28_stock_inventory_location
+    SUBDIR += trytond28_stock_location_sequence
+    SUBDIR += trytond28_stock_lot
+    SUBDIR += trytond28_stock_product_location
+    SUBDIR += trytond28_stock_split
+    SUBDIR += trytond28_stock_supply
+    SUBDIR += trytond28_stock_supply_day
+    SUBDIR += trytond28_stock_supply_forecast
+    SUBDIR += trytond28_stock_supply_production
+    SUBDIR += trytond28_timesheet
     SUBDIR += trytond_account
     SUBDIR += trytond_account_be
     SUBDIR += trytond_account_invoice

Modified: head/finance/tryton/Makefile
==============================================================================
--- head/finance/tryton/Makefile	Wed Nov 20 17:18:31 2013	(r334431)
+++ head/finance/tryton/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -14,7 +14,7 @@ LICENSE=	GPLv3
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dateutil>=1.5:${PORTSDIR}/devel/py-dateutil \
 		${PYTHON_PKGNAMEPREFIX}pytz>=2012:${PORTSDIR}/devel/py-pytz
 
-CONFLICTS=	tryton-2.[68].*
+CONFLICTS=	tryton28-2.8.*
 
 USES=		desktop-file-utils gettext
 USE_PYTHON=	-2.7

Modified: head/finance/tryton28/Makefile
==============================================================================
--- head/finance/tryton/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/tryton28/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -2,9 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	tryton
-PORTVERSION=	2.4.7
+PORTVERSION=	2.8.2
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/2.4/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/tryton/ \
+		http://downloads.tryton.org/2.8/
+PKGNAMESUFFIX=	28
 
 MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Gtk+ Client)
@@ -14,7 +16,7 @@ LICENSE=	GPLv3
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dateutil>=1.5:${PORTSDIR}/devel/py-dateutil \
 		${PYTHON_PKGNAMEPREFIX}pytz>=2012:${PORTSDIR}/devel/py-pytz
 
-CONFLICTS=	tryton-2.[68].*
+CONFLICTS=	tryton-2.[46].*
 
 USES=		desktop-file-utils gettext
 USE_PYTHON=	-2.7

Modified: head/finance/tryton28/distinfo
==============================================================================
--- head/finance/tryton/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/tryton28/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (tryton-2.4.7.tar.gz) = c9265b7135c301bb78b5c78ac1e4b6943b6efdaea7c0976498388ca9a964dd66
-SIZE (tryton-2.4.7.tar.gz) = 626497
+SHA256 (tryton-2.8.2.tar.gz) = 7cc1246cde302a1e3f97bd151aca73f3287c3d3d53b432e797c3c2d66ed47eea
+SIZE (tryton-2.8.2.tar.gz) = 622015

Modified: head/finance/tryton28/pkg-plist
==============================================================================
--- head/finance/tryton/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/tryton28/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -21,6 +21,7 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/locale/sl_SI/LC_MESSAGES/tryton.mo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-attachment-hi.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-attachment.svg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-bookmark.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-clear.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-close.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-connect.svg
@@ -61,6 +62,7 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-refresh.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-save-as.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-save.svg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-star.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-start-here.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-system-file-manager.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-system.svg
@@ -68,6 +70,7 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-text-foreground.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-text-markup.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-undo.svg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-unstar.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton-web-browser.svg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/pixmaps/tryton/tryton.png
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/__init__.py
@@ -94,6 +97,9 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererbutton.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererbutton.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererbutton.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererclickablepixbuf.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererclickablepixbuf.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrendererclickablepixbuf.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrenderercombo.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrenderercombo.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/cellrenderercombo.pyo
@@ -115,6 +121,9 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/common.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/common.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/common.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/completion.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/completion.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/completion.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/date_widget.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/date_widget.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/date_widget.pyo
@@ -130,9 +139,15 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/environment.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/environment.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/environment.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/placeholder_entry.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/placeholder_entry.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/placeholder_entry.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/popup_menu.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/popup_menu.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/popup_menu.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/selection.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/selection.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/common/selection.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/config.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/config.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/config.pyo
@@ -250,6 +265,9 @@ bin/tryton
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/checkbox.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/checkbox.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/checkbox.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/dictionary.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/dictionary.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/dictionary.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/float.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/float.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/tryton/gui/window/view_form/view/form_gtk/float.pyo

Modified: head/finance/trytond/Makefile
==============================================================================
--- head/finance/trytond/Makefile	Wed Nov 20 17:18:31 2013	(r334431)
+++ head/finance/trytond/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -21,7 +21,7 @@ BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/mx/_
 
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-CONFLICTS=	trytond-2.[68].*
+CONFLICTS=	trytond28-2.8.*
 
 USERS=		trytond
 GROUPS=		trytond

Modified: head/finance/trytond28/Makefile
==============================================================================
--- head/finance/trytond/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,10 +1,12 @@
-# Created by: Wen Heping<wenheping@gmail.com>
+# Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
 PORTNAME=	trytond
-PORTVERSION=	2.4.8
+PORTVERSION=	2.8.2
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/${PORTVERSION:R}/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+PKGNAMESUFFIX=	28
 
 MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Server)
@@ -15,13 +17,12 @@ BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/mx/_
 		${PYTHON_PKGNAMEPREFIX}psycopg2>0:${PORTSDIR}/databases/py-psycopg2 \
 		${PYTHON_PKGNAMEPREFIX}lxml>0:${PORTSDIR}/devel/py-lxml \
 		${PYTHON_PKGNAMEPREFIX}Genshi>0.5.1:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}relatorio>=0.2.0:${PORTSDIR}/print/py-relatorio \
+		${PYTHON_PKGNAMEPREFIX}relatorio>=0.6.0:${PORTSDIR}/print/py-relatorio \
 		${PYTHON_PKGNAMEPREFIX}polib>=0.7.0:${PORTSDIR}/devel/py-polib \
 		${PYTHON_PKGNAMEPREFIX}dateutil>=1.5:${PORTSDIR}/devel/py-dateutil
-
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-CONFLICTS=	trytond-2.[68].*
+CONFLICTS=	trytond-2.[46].*
 
 USERS=		trytond
 GROUPS=		trytond

Modified: head/finance/trytond28/distinfo
==============================================================================
--- head/finance/trytond/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (trytond-2.4.8.tar.gz) = 9aa83c4e8deac341878f8923a556fe7daa3ac8ee6bc8720260d2f71af72a7a0f
-SIZE (trytond-2.4.8.tar.gz) = 441914
+SHA256 (trytond-2.8.2.tar.gz) = 7a383352edbcf57da89689ff53c6179236a3e288ba782f0b2b07fb04a46ac8b8
+SIZE (trytond-2.8.2.tar.gz) = 461994

Modified: head/finance/trytond28/files/patch-etc_trytond.conf
==============================================================================
--- head/finance/trytond/files/patch-etc_trytond.conf	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28/files/patch-etc_trytond.conf	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,6 +1,6 @@
---- etc/trytond.conf.orig	2012-09-18 12:54:38.000000000 +0400
-+++ etc/trytond.conf	2012-09-18 12:56:50.000000000 +0400
-@@ -45,8 +45,8 @@ jsonrpc = localhost:8000
+--- ./etc/trytond.conf.orig	2013-08-25 22:47:49.000000000 +0200
++++ ./etc/trytond.conf	2013-08-25 22:48:07.000000000 +0200
+@@ -45,8 +45,8 @@
  #admin_passwd = admin
  
  # Configure the path of the files for the pid and the logs

Modified: head/finance/trytond28/pkg-plist
==============================================================================
--- head/finance/trytond/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -81,9 +81,6 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/action.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/action.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/action.pyo
@@ -95,6 +92,9 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cache.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cache.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cache.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/configuration.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/configuration.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/configuration.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cron.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cron.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/cron.pyo
@@ -161,6 +161,7 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/trigger.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/trigger.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/trigger.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/tryton.cfg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/__init__.pyo
@@ -194,15 +195,94 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/view.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/view.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/view.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_domain_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_domain_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_domain_list2.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_view_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_view_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_act_window_view_list2.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_keyword_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_keyword_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_report_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_report_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_url_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_url_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_wizard_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/action_wizard_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/attachment_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/attachment_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/cron_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/cron_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/export_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/export_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/icon_view_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/icon_view_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/lang_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/lang_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_access_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_access_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_button_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_button_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_field_access_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_field_access_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_field_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_field_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/model_print_model_graph_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_config_wizard_first_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_config_wizard_item_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_config_wizard_other_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_dependency_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_dependency_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_install_upgrade_done_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_install_upgrade_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/module_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/property_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/property_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/rule_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/rule_group_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/rule_group_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/rule_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/sequence_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/sequence_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/sequence_type_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/sequence_type_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_clean_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_clean_succeed_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_export_result_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_export_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_set_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_set_succeed_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/translation_update_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/trigger_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/trigger_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_menu_favorite_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_menu_favorite_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_menu_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_menu_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_menu_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_search_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_search_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_tree_expanded_state_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_tree_expanded_state_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_tree_width_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view/ui_view_tree_width_list.xml
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/browse.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/browse.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/browse.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/cacheable.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/cacheable.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/cacheable.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/dictschema.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/dictschema.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/dictschema.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/__init__.pyo
@@ -218,6 +298,9 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/date.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/date.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/date.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/dict.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/dict.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/dict.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/field.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/field.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields/field.pyo
@@ -320,9 +403,6 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/group.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/group.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/group.pyo
@@ -346,10 +426,31 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/request.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/request.xml
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/res.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/tryton.cfg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/user.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/user.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/user.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/user.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/group_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/group_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_history_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_history_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_link_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_link_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_reference_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/request_reference_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/sequence_type_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_config_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_form_preferences.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_warning_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view/user_warning_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/rpc.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/rpc.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/rpc.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/security.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/security.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/security.pyo
@@ -359,12 +460,12 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/access.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/access.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/access.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/copy.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/copy.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/copy.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/export_data.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/export_data.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/export_data.pyo
@@ -385,6 +486,7 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/trigger.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/trigger.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/trigger.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/tryton.cfg
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/wizard.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/wizard.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test/wizard.pyo
@@ -402,6 +504,12 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_access.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_access.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_access.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_cache.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_cache.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_cache.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_copy.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_copy.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_copy.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_exportdata.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_exportdata.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_exportdata.pyo
@@ -417,6 +525,9 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsingleton.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsingleton.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsingleton.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsql.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsql.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_modelsql.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_mptt.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_mptt.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_mptt.pyo
@@ -444,6 +555,9 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_workflow.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_workflow.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests/test_workflow.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/StringMatcher.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/StringMatcher.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/StringMatcher.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools/__init__.pyo
@@ -471,9 +585,6 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/bg_BG.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/ca_ES.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/cs_CZ.po
@@ -484,6 +595,13 @@ bin/trytond
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/fr_FR.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/nl_NL.po
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/tryton.cfg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/attachment_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/collection_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/collection_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/collection_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/share_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view/share_list.xml
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/webdav.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/webdav.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/webdav.pyo
@@ -498,11 +616,13 @@ bin/trytond
 etc/trytond.conf.sample
 @exec if [ ! -f %D/etc/trytond.conf ] ; then cp -p %D/%F %B/trytond.conf; fi
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/wizard
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/view
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav/locale
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/webdav
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tools
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/tests
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/test
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/view
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res/locale
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/res
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/report
@@ -510,6 +630,7 @@ etc/trytond.conf.sample
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model/fields
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/model
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/view
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui/icons
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/ui
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/ir/module

Modified: head/finance/trytond28_account/Makefile
==============================================================================
--- head/finance/trytond_account/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,23 +1,26 @@
 # Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
-PORTNAME=	trytond_account
-PORTVERSION=	2.4.6
+PORTNAME=	trytond28_account
+PORTVERSION=	2.8.1
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/${PORTVERSION:R}/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond_account/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+DISTNAME=	trytond_account-${PORTVERSION}
 
 MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Account Module)
 
 LICENSE=	GPLv3
 
-RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
-		trytond_company>=2.4.0:${PORTSDIR}/finance/trytond_company \
+RUN_DEPENDS=	trytond28>=2.8.2:${PORTSDIR}/finance/trytond28 \
+		trytond28_company>=2.8.0:${PORTSDIR}/finance/trytond28_company \
 		${PYTHON_PKGNAMEPREFIX}dateutil>=1.5:${PORTSDIR}/devel/py-dateutil
 
-CONFLICTS=	trytond_account-2.[68].*
+CONFLICTS=	trytond_account-2.[46].*
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
+PYEASYINSTALL_EGG=${DISTNAME}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
 
 .include <bsd.port.mk>

Modified: head/finance/trytond28_account/distinfo
==============================================================================
--- head/finance/trytond_account/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (trytond_account-2.4.6.tar.gz) = 6cc42bdcbf4a2ee7159c2468fc9cbede71a205be0d15c8691f1a56c77b6abce2
-SIZE (trytond_account-2.4.6.tar.gz) = 240759
+SHA256 (trytond_account-2.8.1.tar.gz) = 2a09e6773fc90b06c3b5a3640d08d318ae0e7f8d35f8f058bf3651c43d21449b
+SIZE (trytond_account-2.8.1.tar.gz) = 270194

Modified: head/finance/trytond28_account/pkg-plist
==============================================================================
--- head/finance/trytond_account/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -8,9 +8,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/account.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/account.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/account.pyo
@@ -65,6 +62,94 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/tests/test_account.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/third_party_balance.odt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/trial_balance.odt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/tryton.cfg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_balance_sheet_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_deferral_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_deferral_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_income_statement_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_list2.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_template_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_tree2.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_template_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/account_type_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/configuration_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/create_chart_account_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/create_chart_properties_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/create_chart_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/fiscalyear_close_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/fiscalyear_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/fiscalyear_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_period_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_period_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_type_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_type_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_view_column_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_view_column_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_view_column_list_sequence.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_view_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/journal_view_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_line_form_move.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_line_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_line_tree_move.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_reconciliation_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_reconciliation_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/move_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_aged_balance_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_balance_sheet_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_chart_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_income_statement_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_journal_ask_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_reconcile_lines_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/open_third_party_balance_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/party_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/party_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/period_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/period_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/print_general_journal_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/print_general_legder_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/print_trial_balance_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/reconcile_lines_writeoff_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_open_chart_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_code_tree2.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_group_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_group_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_line_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_line_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_line_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_line_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_line_tree_sequence.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_rule_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_template_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_template_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/tax_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/update_chart_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view/update_chart_succeed_form.xml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/view
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/tests
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/locale
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account/icons

Added: head/finance/trytond28_account_asset/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond28_account_asset/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -0,0 +1,25 @@
+# Created by: Matthias Petermann <matthias@petermann-it.de>
+# $FreeBSD$
+
+PORTNAME=	trytond28_account_asset
+PORTVERSION=	2.8.0
+CATEGORIES=	finance python
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond_account_asset/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+DISTNAME=	trytond_account_asset-${PORTVERSION}
+
+MAINTAINER=	matthias@petermann-it.de
+COMMENT=	Tryton Application Platform (Account Asset Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond28_product>=2.8.0:${PORTSDIR}/finance/trytond28_product \
+		trytond28_account_invoice>=2.8.2:${PORTSDIR}/finance/trytond28_account_invoice
+
+CONFLICTS=	trytond_account-2.[46].*
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+PYEASYINSTALL_EGG=${DISTNAME}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
+
+.include <bsd.port.mk>

Added: head/finance/trytond28_account_asset/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond28_account_asset/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -0,0 +1,2 @@
+SHA256 (trytond_account_asset-2.8.0.tar.gz) = 9eb3c8b1767d1e5e9d572d6c0c1e5929bc281c7501315b117e471b754b60e4b0
+SIZE (trytond_account_asset-2.8.0.tar.gz) = 36075

Added: head/finance/trytond28_account_asset/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond28_account_asset/pkg-descr	Wed Nov 20 17:20:57 2013	(r334432)
@@ -0,0 +1,3 @@
+This module provides the chart of account which is used in Belgium.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond28_account_asset/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond28_account_asset/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -0,0 +1,61 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/account.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/account.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/account.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/account.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/asset.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/asset.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/asset.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/asset.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/invoice.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/invoice.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/invoice.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/invoice.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/product.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/product.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/product.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/product.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/purchase.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/purchase.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/purchase.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/test_account_asset.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/test_account_asset.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests/test_account_asset.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tryton.cfg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_create_moves_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_line_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_update_show_depreciation_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/asset_update_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/category_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/configuration_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/invoice_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view/template_form.xml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/view
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_asset
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%

Modified: head/finance/trytond28_account_be/Makefile
==============================================================================
--- head/finance/trytond_account_be/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_be/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,22 +1,24 @@
 # Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
-PORTNAME=	trytond_account_be
-PORTVERSION=	2.4.0
+PORTNAME=	trytond28_account_be
+PORTVERSION=	2.8.0
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/${PORTVERSION:R}/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond_account_be/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+DISTNAME=	trytond_account_be-${PORTVERSION}
 
-MAINTAINER=	matthias@petermann.it
+MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Belgian Account Chart)
 
 LICENSE=	GPLv3
 
-RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
-		trytond_account>=2.4.1:${PORTSDIR}/finance/trytond_account
+RUN_DEPENDS=	trytond28_account>=2.8.1:${PORTSDIR}/finance/trytond28_account
 
-CONFLICTS=	trytond_account-2.[68].*
+CONFLICTS=	trytond_account-2.[46].*
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
+PYEASYINSTALL_EGG=${DISTNAME}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
 
 .include <bsd.port.mk>

Modified: head/finance/trytond28_account_be/distinfo
==============================================================================
--- head/finance/trytond_account_be/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_be/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (trytond_account_be-2.4.0.tar.gz) = 5e38aeb6d82efa4d3803f4dac7f3e25fab12dc26e733f42cd8f535de4e546b11
-SIZE (trytond_account_be-2.4.0.tar.gz) = 34492
+SHA256 (trytond_account_be-2.8.0.tar.gz) = 21a391895c695ea244e9ec78dd14916f17ed50a8890962cce282a3f569e56443
+SIZE (trytond_account_be-2.8.0.tar.gz) = 34649

Modified: head/finance/trytond28_account_be/pkg-plist
==============================================================================
--- head/finance/trytond_account_be/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_be/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -8,11 +8,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/account_be.xml
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/tax_be.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be/tryton.cfg
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_be
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond

Modified: head/finance/trytond28_account_invoice/Makefile
==============================================================================
--- head/finance/trytond_account_invoice/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,22 +1,24 @@
 # Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
-PORTNAME=	trytond_account_invoice
-PORTVERSION=	2.4.3
+PORTNAME=	trytond28_account_invoice
+PORTVERSION=	2.8.2
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/${PORTVERSION:R}/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond_account_invoice/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+DISTNAME=	trytond_account_invoice-${PORTVERSION}
 
 MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Account Invoice Module)
 
 LICENSE=	GPLv3
 
-RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
-		trytond_account_product>=2.4.1:${PORTSDIR}/finance/trytond_account_product
+RUN_DEPENDS=	trytond28_account_product>=2.8.0:${PORTSDIR}/finance/trytond28_account_product
 
-CONFLICTS=	trytond_account_invoice-2.[68].*
+CONFLICTS=	trytond_account_invoice-2.[46].*
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
+PYEASYINSTALL_EGG=${DISTNAME}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
 
 .include <bsd.port.mk>

Modified: head/finance/trytond28_account_invoice/distinfo
==============================================================================
--- head/finance/trytond_account_invoice/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (trytond_account_invoice-2.4.3.tar.gz) = 07a0ffe656950a18ff4128dd47dfa5a5b66399ad729e97b49a4b40d8bccccc45
-SIZE (trytond_account_invoice-2.4.3.tar.gz) = 101630
+SHA256 (trytond_account_invoice-2.8.2.tar.gz) = 9f2c546d815c035aa8979e7a9e9c9380444faa7bf94470cdb664a495c2beb80d
+SIZE (trytond_account_invoice-2.8.2.tar.gz) = 111998

Modified: head/finance/trytond28_account_invoice/pkg-plist
==============================================================================
--- head/finance/trytond_account_invoice/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -8,9 +8,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.pyo
@@ -44,6 +41,32 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tryton.cfg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/address_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/address_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/credit_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/fiscalyear_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_line_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_line_tree_sequence.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_tax_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_tax_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_tax_tree_sequence.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/invoice_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/move_line_list_payment.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/move_line_list_to_pay.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/party_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/pay_ask_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/pay_start_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/payment_term_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/payment_term_line_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/payment_term_line_list.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/payment_term_line_list_sequence.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/payment_term_tree.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/period_form.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view/print_warning_form.xml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/view
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice

Modified: head/finance/trytond28_account_invoice_history/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_history/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice_history/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,22 +1,24 @@
 # Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 
-PORTNAME=	trytond_account_invoice_history
-PORTVERSION=	2.4.2
+PORTNAME=	trytond28_account_invoice_history
+PORTVERSION=	2.8.0
 CATEGORIES=	finance python
-MASTER_SITES=	http://downloads.tryton.org/${PORTVERSION:R}/
+MASTER_SITES=	https://pypi.python.org/packages/source/t/trytond_account_invoice_history/ \
+		http://downloads.tryton.org/${PORTVERSION:R}/
+DISTNAME=	trytond_account_invoice_history-${PORTVERSION}
 
-MAINTAINER=	matthias@petermann.it
+MAINTAINER=	matthias@petermann-it.de
 COMMENT=	Tryton Application Platform (Account Invoice History Module)
 
 LICENSE=	GPLv3
 
-RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
-		trytond_account_invoice>=2.4.1:${PORTSDIR}/finance/trytond_account_invoice
+RUN_DEPENDS=	trytond28_account_invoice>=2.8.2:${PORTSDIR}/finance/trytond28_account_invoice
 
-CONFLICTS=	trytond_account_invoice_history-2.[68].*
+CONFLICTS=	trytond_account_invoice_history-2.[46].*
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
+PYEASYINSTALL_EGG=${DISTNAME}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
 
 .include <bsd.port.mk>

Modified: head/finance/trytond28_account_invoice_history/distinfo
==============================================================================
--- head/finance/trytond_account_invoice_history/distinfo	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice_history/distinfo	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,2 +1,2 @@
-SHA256 (trytond_account_invoice_history-2.4.2.tar.gz) = 7a4da36b39e58626dad54114b3478752b056df104828214e0f731ed2081d2ed9
-SIZE (trytond_account_invoice_history-2.4.2.tar.gz) = 18276
+SHA256 (trytond_account_invoice_history-2.8.0.tar.gz) = edb550d132189b9707b0d36ad62ba161d6cf39db2f2778135cb7ef52b9a4352f
+SIZE (trytond_account_invoice_history-2.8.0.tar.gz) = 17533

Modified: head/finance/trytond28_account_invoice_history/pkg-plist
==============================================================================
--- head/finance/trytond_account_invoice_history/pkg-plist	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice_history/pkg-plist	Wed Nov 20 17:20:57 2013	(r334432)
@@ -8,9 +8,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__tryton__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__tryton__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/__tryton__.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/invoice.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/invoice.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/invoice.pyo
@@ -30,6 +27,7 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/payment_term.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/payment_term.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/payment_term.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/tryton.cfg
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history/locale
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice_history
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules

Modified: head/finance/trytond28_account_invoice_line_standalone/Makefile
==============================================================================
--- head/finance/trytond_account_invoice_line_standalone/Makefile	Mon Nov 18 15:13:06 2013	(r334208)
+++ head/finance/trytond28_account_invoice_line_standalone/Makefile	Wed Nov 20 17:20:57 2013	(r334432)
@@ -1,22 +1,24 @@
 # Created by: Matthias Petermann <matthias@petermann-it.de>
 # $FreeBSD$
 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 17 Boris Samorodov freebsd_committer 2013-11-20 17:25:16 UTC
State Changed
From-To: open->closed

Committed with some changes: 
. existing tryton* ports were svn copied to their tryton28* counter parts 
to preserv history; 
. portnames were converted to use suffix "28" (PKGNAMESUFFIX cannot be used 
because of complex ports names, i.e. trytond28_calendar_classification 
seems to be more reasonable then trytond_calendar_classification28); 
. DISTNAME was introduced to match distfile names; 
. PYEASYINSTALL_EGG was used to match the egg name; 
. register conflicts for tryton* ports;
. connect new ports to the build.

A note: for finance/tryton28 and finance/trytond28 I used PKGNAMESUFFIX 
since some configuretion files depends upon PORTNAME (i.e. tryton.conf). 

Thanks for creating those ports!